import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const scStackedListCss = ":host{display:block;font-family:var(--sc-font-sans)}:slotted(*){margin:0}";

const ScStackedList = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return h("slot", null);
  }
  static get style() { return scStackedListCss; }
}, [1, "sc-stacked-list"]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-stacked-list"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-stacked-list":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScStackedList);
      }
      break;
  } });
}
defineCustomElement();

export { ScStackedList as S, defineCustomElement as d };
